#####################################################################
# NAME:  Chris Bilder                                               #
# DATE:  9-7-11                                                     #
# Purpose: Diamond data plot                                        #
#                                                                   #
# NOTES:                                                            #
#####################################################################

  #Read in data
  library(package = RODBC)
  z<-odbcConnectExcel(xls.file = "C:\\chris\\unl\\Dropbox\\NEW\\workshop\\Gallup\\diamond.xls")
  diamond<-sqlFetch(channel = z, sqtable = "Set1")
  close(z)

  #Comma delimited version
  diamond<-read.csv(file = "C:\\chris\\unl\\Dropbox\\NEW\\workshop\\Gallup\\diamond.csv")
  head(diamond)

  #Change order of the levels for clarity
  diamond$clarity<-factor(x = diamond$clarity, levels = c("IF", "VVS1", "VVS2", "VS1", "VS2"))
  levels(x = diamond$clarity)

  head(diamond) #Shows first 6 observations

  #Create a co-plot using lattice package
  library(package = lattice)
  trellis.device(theme = "col.whitebg") #Sets colors and symbols

  win.graph(width = 10, height = 7, pointsize = 12)
  xyplot(x = price ~ carat | clarity, data = diamond, layout = c(5,1), groups =
    color, main = "Price vs. Carat", auto.key = list(points = TRUE, space = "right"),
    xlab = "Carat", ylab = "Price",
    panel = function(x, y,  ...)
     { panel.grid(h = -1, v = -1, col = "grey", lwd = 1, lty = "dotted")
       panel.xyplot(x, y, ...)
     }
    )
    
    
#






